# Uses of Class
org.apache.lucene.sandbox.search.MultiRangeQuery

Packages that use MultiRangeQuery
Package
Description
org.apache.lucene.sandbox.document
This package contains several point types: `BigIntegerPoint` for 128-bit integers `LatLonPoint` for latitude/longitude geospatial points
org.apache.lucene.sandbox.search
This package contains a flexible graph-based proximity query, TermAutomatonQuery, and geospatial queries.

- ## Uses of MultiRangeQuery in org.apache.lucene.sandbox.document

  Methods in org.apache.lucene.sandbox.document that return MultiRangeQuery
  Modifier and Type
  Method
  Description
  `MultiRangeQuery`
  DoublePointMultiRangeBuilder.`build()`
  `MultiRangeQuery`
  FloatPointMultiRangeBuilder.`build()`
  `MultiRangeQuery`
  IntPointMultiRangeBuilder.`build()`
  `MultiRangeQuery`
  LongPointMultiRangeBuilder.`build()`

- ## Uses of MultiRangeQuery in org.apache.lucene.sandbox.search

  Methods in org.apache.lucene.sandbox.search that return MultiRangeQuery
  Modifier and Type
  Method
  Description
  `abstract MultiRangeQuery`
  MultiRangeQuery.Builder.`build()`
  Create a new `MultiRangeQuery` based on the parameters that have been set on this builder.